Package org.eclipse.birt.report.engine.api

# Interface IParameterDefnBase

All Known Subinterfaces:
  `ICascadingParameterGroup`, `IDynamicFilterParameterDefn`, `IParameterDefn`, `IParameterGroupDefn`, `IScalarParameterDefn`

public interface IParameterDefnBase
Captures properties shared by all types of parameters and parameter group, i.e., name, display name, help text and custom-defined properties. Note that even though display name and help text are locale-sensitive, the API does not take a locale. The parameter returned to the user was obtained from a report runnable, which has already had a locale.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CASCADING_PARAMETER_GROUP`
`static final int`
`FILTER_PARAMETER`
`static final int`
`LIST_PARAMETER`
`static final int`
`PARAMETER_GROUP`
`static final int`
`SCALAR_PARAMETER`
`static final int`
`TABLE_PARAMETER`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDisplayName()`
returns the locale-specific display name for the parameter.
`org.eclipse.birt.report.model.api.ReportElementHandle`
`getHandle()`
returns the report element handle which is wrapped by this object.
`String`
`getHelpText()`
returns the locale-specific help text.
`String`
`getName()`
returns the name of the parameter
`int`
`getParameterType()`
`String`
`getPromptText()`
`String`
`getTypeName()`
`String`
`getUserPropertyValue(String name)`
returns the value of a user-defined property
`Map`
`getUserPropertyValues()`
returns a collection of user-defined property name and value pairs

## Field Details

### SCALAR_PARAMETER

static final int SCALAR_PARAMETER

See Also:
  - Constant Field Values

### FILTER_PARAMETER

static final int FILTER_PARAMETER

See Also:
  - Constant Field Values

### LIST_PARAMETER

static final int LIST_PARAMETER

See Also:
  - Constant Field Values

### TABLE_PARAMETER

static final int TABLE_PARAMETER

See Also:
  - Constant Field Values

### PARAMETER_GROUP

static final int PARAMETER_GROUP

See Also:
  - Constant Field Values

### CASCADING_PARAMETER_GROUP

static final int CASCADING_PARAMETER_GROUP

See Also:
  - Constant Field Values

## Method Details

### getParameterType

int getParameterType()

Returns:
  the parameter type, i.e., scalar, filter, list, table or parameter group

### getTypeName

String getTypeName()

Returns:
  name of the parameter type.

### getName

String getName()
returns the name of the parameter

Returns:
  the name of the parameter

### getDisplayName

String getDisplayName()
returns the locale-specific display name for the parameter. The locale used is the locale in the getParameterDefinition task

Returns:
  display name under the request or default locale

### getHelpText

String getHelpText()
returns the locale-specific help text. The locale used is the locale in the getParameterDefinition task

Returns:
  help text for the parameter

### getUserPropertyValues

Map getUserPropertyValues()
returns a collection of user-defined property name and value pairs

Returns:
  a collection of user-defined property name ane value pairs

### getUserPropertyValue

String getUserPropertyValue(String name)
returns the value of a user-defined property

Returns:
  the value for a user-defined property

### getHandle

org.eclipse.birt.report.model.api.ReportElementHandle getHandle()
returns the report element handle which is wrapped by this object.

Returns:
  the report element handle

### getPromptText

String getPromptText()

Returns:
  prompt text